| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LocatorSelectorEntry::EntryState Struct Reference

Holds the selection state of the locators held by a LocatorSelectorEntry. More...

`#include <LocatorSelectorEntry.hpp>`

## Public Member Functions

| EntryState (size_t max_unicast_locators, size_t max_multicast_locators)
| Construct an EntryState object.

## Public Attributes

ResourceLimitedVector< size_t > | unicast
| Unicast locators selection state.
ResourceLimitedVector< size_t > | multicast
| Multicast locators selection state.

## Detailed Description

Holds the selection state of the locators held by a LocatorSelectorEntry.

## Constructor & Destructor Documentation

## ◆ EntryState()

EntryState | ( | size_t | max_unicast_locators,
|  | size_t | max_multicast_locators )

inline

Construct an EntryState object.

Parameters

  max_unicast_locators | Maximum number of unicast locators to held by parent LocatorSelectorEntry.
  max_multicast_locators | Maximum number of multicast locators to held by parent LocatorSelectorEntry.

## Member Data Documentation

## ◆ multicast

ResourceLimitedVector<size_t> multicast

Multicast locators selection state.

## ◆ unicast

ResourceLimitedVector<size_t> unicast

Unicast locators selection state.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/LocatorSelectorEntry.hpp